
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

import 'pages/login.dart';
import './utils/cache.dart';
import './store/index.dart';
import './utils/events.dart';
import 'routes/homeRoute.dart';
import './utils/constants.dart';

void main() {
  WidgetsFlutterBinding.ensureInitialized();
  Events.init();
  Cache.init().then((e) => runApp(MyApp()));
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MultiProvider(
        providers: providers,
        child: MaterialApp(
            debugShowCheckedModeBanner: false,
            title: APP_NAME,
            theme: ThemeData(
              // platform: TargetPlatform.iOS,
              primaryColor: Colors.white,
            ),
            home: HomeRoute()
        )
    );
  }
}
